cURL
curl --request POST \
--url https://api.hyra.io/activity/{workspaceId}/user/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 123,
"messages_sent": 123,
"game": "<string>",
"gifted_by": "<string>"
}
'import requests
url = "https://api.hyra.io/activity/{workspaceId}/user/{userId}"
payload = {
"duration": 123,
"messages_sent": 123,
"game": "<string>",
"gifted_by": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({duration: 123, messages_sent: 123, game: '<string>', gifted_by: '<string>'})
};
fetch('https://api.hyra.io/activity/{workspaceId}/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity": {
"_id": "<string>",
"start": "<string>",
"end": "<string>",
"ended": true,
"game": "<string>",
"friends": [
"<string>"
],
"idle_time": 123,
"tracked_idle": 123,
"duration": 123,
"messages_sent": 123
},
"totals": {
"minutes": 123,
"messages": 123,
"period": "<string>"
}
}Users
Create User Activity
Create a new gifted activity
POST
/
activity
/
{workspaceId}
/
user
/
{userId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I